
/* 
 * Copyright (c) 2003 LAAS/CNRS
 * Sara Fleury
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef PLAY_PRINTXML_H
#define PLAY_PRINTXML_H

#include "genom/printScan.h"
#include "genom/printXMLProto.h"

/* Structures definies par d'autres modules */

#include "server/genBasicPrintXML.h"

#include "server/pomPrintXML.h"


#include "playPosterLib.h"

/* Prototypes */
extern void printXML_struct_PLAY_BUMPERS_POSTER_STR ( FILE *out, char *name,
     struct PLAY_BUMPERS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PLAY_SONARSCART_POSTER_STR ( FILE *out, char *name,
     struct PLAY_SONARSCART_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PLAY_POMSICK_POSTER_STR ( FILE *out, char *name,
     struct PLAY_POMSICK_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PLAY_POM_POSTER_STR ( FILE *out, char *name,
     struct PLAY_POM_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PLAY_POSITION_POSTER_STR ( FILE *out, char *name,
     struct PLAY_POSITION_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PLAY_STR ( FILE *out, char *name,
     struct PLAY_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PLAY_BUMPERS ( FILE *out, char *name,
     struct PLAY_BUMPERS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PLAY_SONARS ( FILE *out, char *name,
     struct PLAY_SONARS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PLAY_SENSORS_HEADER ( FILE *out, char *name,
     struct PLAY_SENSORS_HEADER *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PLAY_SPEED ( FILE *out, char *name,
     struct PLAY_SPEED *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PLAY_CONFIG ( FILE *out, char *name,
     struct PLAY_CONFIG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PLAY_POS ( FILE *out, char *name,
     struct PLAY_POS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PLAY_POINT ( FILE *out, char *name,
     struct PLAY_POINT *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PLAY_STATUS ( FILE *out, char *name,
     struct PLAY_STATUS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PLAY_CONNECT ( FILE *out, char *name,
     struct PLAY_CONNECT *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_PLAY_BOOL ( FILE *out, char *name,
     enum PLAY_BOOL *x,
     int indent, int nDim, int *dims, FILE *in );

/* ======================== PRINT DES TYPEDEF ============================= */

extern void printXML_PLAY_BOOL ( FILE *out, char *name,
     PLAY_BOOL *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLAY_CONNECT ( FILE *out, char *name,
     PLAY_CONNECT *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLAY_STATUS ( FILE *out, char *name,
     PLAY_STATUS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLAY_POINT ( FILE *out, char *name,
     PLAY_POINT *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLAY_POS ( FILE *out, char *name,
     PLAY_POS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLAY_CONFIG ( FILE *out, char *name,
     PLAY_CONFIG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLAY_SPEED ( FILE *out, char *name,
     PLAY_SPEED *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLAY_SENSORS_HEADER ( FILE *out, char *name,
     PLAY_SENSORS_HEADER *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLAY_SONARS ( FILE *out, char *name,
     PLAY_SONARS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLAY_BUMPERS ( FILE *out, char *name,
     PLAY_BUMPERS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLAY_STR ( FILE *out, char *name,
     PLAY_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLAY_POSITION_POSTER_STR ( FILE *out, char *name,
     PLAY_POSITION_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLAY_POM_POSTER_STR ( FILE *out, char *name,
     PLAY_POM_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLAY_POMSICK_POSTER_STR ( FILE *out, char *name,
     PLAY_POMSICK_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLAY_SONARSCART_POSTER_STR ( FILE *out, char *name,
     PLAY_SONARSCART_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLAY_BUMPERS_POSTER_STR ( FILE *out, char *name,
     PLAY_BUMPERS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );

#endif /* PLAY_PRINT_XML_H */

