
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef PLAY_SCAN_H
#define PLAY_SCAN_H

#include "genom/printScan.h"

/* Structures definies par d'autres modules */

#include "server/genBasicScan.h"

#include "server/pomScan.h"


/* Structures du module */
#include "playPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
extern int scan_struct_PLAY_BUMPERS_POSTER_STR ( FILE *in, FILE *out,
       struct PLAY_BUMPERS_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_PLAY_SONARSCART_POSTER_STR ( FILE *in, FILE *out,
       struct PLAY_SONARSCART_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_PLAY_POMSICK_POSTER_STR ( FILE *in, FILE *out,
       struct PLAY_POMSICK_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_PLAY_POM_POSTER_STR ( FILE *in, FILE *out,
       struct PLAY_POM_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_PLAY_POSITION_POSTER_STR ( FILE *in, FILE *out,
       struct PLAY_POSITION_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_PLAY_STR ( FILE *in, FILE *out,
       struct PLAY_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_PLAY_BUMPERS ( FILE *in, FILE *out,
       struct PLAY_BUMPERS *x, int indent, int nDim, int *dims );
extern int scan_struct_PLAY_SONARS ( FILE *in, FILE *out,
       struct PLAY_SONARS *x, int indent, int nDim, int *dims );
extern int scan_struct_PLAY_SENSORS_HEADER ( FILE *in, FILE *out,
       struct PLAY_SENSORS_HEADER *x, int indent, int nDim, int *dims );
extern int scan_struct_PLAY_SPEED ( FILE *in, FILE *out,
       struct PLAY_SPEED *x, int indent, int nDim, int *dims );
extern int scan_struct_PLAY_CONFIG ( FILE *in, FILE *out,
       struct PLAY_CONFIG *x, int indent, int nDim, int *dims );
extern int scan_struct_PLAY_POS ( FILE *in, FILE *out,
       struct PLAY_POS *x, int indent, int nDim, int *dims );
extern int scan_struct_PLAY_POINT ( FILE *in, FILE *out,
       struct PLAY_POINT *x, int indent, int nDim, int *dims );
extern int scan_struct_PLAY_STATUS ( FILE *in, FILE *out,
       struct PLAY_STATUS *x, int indent, int nDim, int *dims );
extern int scan_struct_PLAY_CONNECT ( FILE *in, FILE *out,
       struct PLAY_CONNECT *x, int indent, int nDim, int *dims );
extern int scan_enum_PLAY_BOOL ( FILE *in, FILE *out,
       enum PLAY_BOOL *x, int indent, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

extern int scan_PLAY_BOOL ( FILE *in, FILE *out,
       PLAY_BOOL *x, int indent, int nDim, int *dims );
extern int scan_PLAY_CONNECT ( FILE *in, FILE *out,
       PLAY_CONNECT *x, int indent, int nDim, int *dims );
extern int scan_PLAY_STATUS ( FILE *in, FILE *out,
       PLAY_STATUS *x, int indent, int nDim, int *dims );
extern int scan_PLAY_POINT ( FILE *in, FILE *out,
       PLAY_POINT *x, int indent, int nDim, int *dims );
extern int scan_PLAY_POS ( FILE *in, FILE *out,
       PLAY_POS *x, int indent, int nDim, int *dims );
extern int scan_PLAY_CONFIG ( FILE *in, FILE *out,
       PLAY_CONFIG *x, int indent, int nDim, int *dims );
extern int scan_PLAY_SPEED ( FILE *in, FILE *out,
       PLAY_SPEED *x, int indent, int nDim, int *dims );
extern int scan_PLAY_SENSORS_HEADER ( FILE *in, FILE *out,
       PLAY_SENSORS_HEADER *x, int indent, int nDim, int *dims );
extern int scan_PLAY_SONARS ( FILE *in, FILE *out,
       PLAY_SONARS *x, int indent, int nDim, int *dims );
extern int scan_PLAY_BUMPERS ( FILE *in, FILE *out,
       PLAY_BUMPERS *x, int indent, int nDim, int *dims );
extern int scan_PLAY_STR ( FILE *in, FILE *out,
       PLAY_STR *x, int indent, int nDim, int *dims );
extern int scan_PLAY_POSITION_POSTER_STR ( FILE *in, FILE *out,
       PLAY_POSITION_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_PLAY_POM_POSTER_STR ( FILE *in, FILE *out,
       PLAY_POM_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_PLAY_POMSICK_POSTER_STR ( FILE *in, FILE *out,
       PLAY_POMSICK_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_PLAY_SONARSCART_POSTER_STR ( FILE *in, FILE *out,
       PLAY_SONARSCART_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_PLAY_BUMPERS_POSTER_STR ( FILE *in, FILE *out,
       PLAY_BUMPERS_POSTER_STR *x, int indent, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* PLAY_SCAN_H */

